petsc-3.4.2 2013-07-02

# PCSetApplicationContext

Sets the optional user-defined context for the linear solver.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCSetApplicationContext(PC pc,void *usrP)

Logically Collective on PC

### Input Parameters

| pc | - the PC context
| usrP | - optional user context

### Keywords

PC, set, application, context

### See Also

PCGetApplicationContext()

Level:intermediate
Location:src/ksp/pc/interface/pcset.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages